%?mingw_package_header

# Build the programs like cjpeg, etc.
# https://bugzilla.redhat.com/show_bug.cgi?id=467401#c7
%global build_programs 0

Name:           mingw-libjpeg-turbo
Version:        1.4.2
Release:        %mkrel 1
Summary:        MinGW Windows Libjpeg-turbo library

License:        wxWidgets
URL:            http://libjpeg-turbo.virtualgl.org/
Group:          Development/Other
Source0:        http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-%{version}.tar.gz

# Make jconfig.h more autoconf friendly
# https://bugzilla.redhat.com/show_bug.cgi?id=843193
Patch0:         libjpeg-turbo-match-autoconf-behavior.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils

BuildRequires:  nasm
BuildRequires:  cmake

%description
MinGW Windows cross compiled Libjpeg-turbo library.


# Win32
%package -n mingw32-libjpeg-turbo
Summary:        MinGW Windows Libjpeg-turbo library
Obsoletes:      mingw32-libjpeg < 7-4
Provides:       mingw32-libjpeg = 7-4

%description -n mingw32-libjpeg-turbo
MinGW Windows cross compiled Libjpeg-turbo library.

%package -n mingw32-libjpeg-turbo-static
Summary:        Static version of the MinGW Windows Libjpeg-turbo library
Requires:       mingw32-libjpeg-turbo = %{version}-%{release}
Obsoletes:      mingw32-libjpeg-static < 7-4
Provides:       mingw32-libjpeg-static = 7-4

%description -n mingw32-libjpeg-turbo-static
Static version of the MinGW Windows cross compiled Libjpeg-turbo library.

# Win64
%package -n mingw64-libjpeg-turbo
Summary:        MinGW Windows Libjpeg-turbo library
Obsoletes:      mingw64-libjpeg < 8a-2%{?dist}
Provides:       mingw64-libjpeg = 8a-2%{?dist}

%description -n mingw64-libjpeg-turbo
MinGW Windows cross compiled Libjpeg-turbo library.

%package -n mingw64-libjpeg-turbo-static
Summary:        Static version of the MinGW Windows Libjpeg-turbo library
Requires:       mingw64-libjpeg-turbo = %{version}-%{release}
Obsoletes:      mingw64-libjpeg-static < 8a-2%{?dist}
Provides:       mingw64-libjpeg-static = 8a-2%{?dist}

%description -n mingw64-libjpeg-turbo-static
Static version of the MinGW Windows cross compiled Libjpeg-turbo library.


%?mingw_debug_package


%prep
%setup -q -n libjpeg-turbo-%{version}
%patch0 -p1


%build
%mingw_cmake
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Remove manual pages which duplicate Fedora native.
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

# The CMake build system also installed some docs
rm -rf $RPM_BUILD_ROOT%{mingw32_prefix}/doc
rm -rf $RPM_BUILD_ROOT%{mingw64_prefix}/doc

# Remove win32 native binaries if wanted
%if %build_programs == 0
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/*.exe
%endif

# Fix perms
chmod -x README-turbo.txt


# Win32
%files -n mingw32-libjpeg-turbo
%doc README README-turbo.txt change.log ChangeLog.txt
%if %build_programs
%{mingw32_bindir}/*.exe
%endif
%{mingw32_bindir}/libjpeg-62.dll
%{mingw32_bindir}/libturbojpeg.dll
%{mingw32_includedir}/jconfig.h
%{mingw32_includedir}/jerror.h
%{mingw32_includedir}/jmorecfg.h
%{mingw32_includedir}/jpeglib.h
%{mingw32_includedir}/turbojpeg.h
%{mingw32_libdir}/libjpeg.dll.a
%{mingw32_libdir}/libturbojpeg.dll.a

%files -n mingw32-libjpeg-turbo-static
%{mingw32_libdir}/libjpeg.a
%{mingw32_libdir}/libturbojpeg.a

# Win64
%files -n mingw64-libjpeg-turbo
%doc README README-turbo.txt change.log ChangeLog.txt
%if %build_programs
%{mingw64_bindir}/*.exe
%endif
%{mingw64_bindir}/libjpeg-62.dll
%{mingw64_bindir}/libturbojpeg.dll
%{mingw64_includedir}/jconfig.h
%{mingw64_includedir}/jerror.h
%{mingw64_includedir}/jmorecfg.h
%{mingw64_includedir}/jpeglib.h
%{mingw64_includedir}/turbojpeg.h
%{mingw64_libdir}/libjpeg.dll.a
%{mingw64_libdir}/libturbojpeg.dll.a

%files -n mingw64-libjpeg-turbo-static
%{mingw64_libdir}/libjpeg.a
%{mingw64_libdir}/libturbojpeg.a




%changelog
* Wed May 11 2016 tv <tv> 1.4.2-1.mga6
+ Revision: 1012787
- sync patches with FC
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1.3.0-5.mga6
+ Revision: 931664
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 739501
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 682477
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 536281
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 1.3.0-1.mga4
+ Revision: 484040
- imported package mingw-libjpeg-turbo

